function x = optimize_vp(file)

global up total calls ll_array

xfile = sprintf('xls/exp/%s.xlsx',file);
vpdata = xlsread(xfile,'data');
num = xlsread(xfile,1);
testno = num(1);
tritono = num(2);
tono = length(vpdata);

testno = ones(tono) * testno;
for t=1:tono
    testno(t,t)=0;
    tt = mod(t+6-1,tono)+1;
    testno(t,tt)=tritono;
end

total = testno;
up = testno .* vpdata;

%     sigma  center  osigma  gamma  lapses  bias  nkbias
x0 = [0.02,  62,     1.5,    0.6,   0.05,   0.5,  0.5];
lb = [0.01,  60,     0.0,    0.0,   0.0,    0.0,  0.0];
ub = [5,     72,     5.0,    1.0,   1.0,    1.0,  1.0];

calls = 0; ll_array = [];
tic
x = fmincon(@loglike,x0,[],[],[],[],lb,ub);
